Bug 435113 - certain mouse settings resets after restart/resume from suspend/dock/undock
Summary: certain mouse settings resets after restart/resume from suspend/dock/undock
Status: RESOLVED FIXED
Alias: None
Product: systemsettings
Classification: Unclassified
Component: kcm_mouse (show other bugs)
Version: 5.25.0
Platform: Ubuntu Packages Linux
: VHI normal with 206 votes (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: regression
: 449811 449973 450064 450224 450388 450528 450666 451067 451183 451666 451740 451913 452152 452474 453151 453245 453469 453556 454998 455003 455127 456703 456712 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-03-29 13:29 UTC by george fb
Modified: 2022-07-26 10:45 UTC (History)
56 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.7


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description george fb 2021-03-29 13:29:26 UTC
SUMMARY
I have set the pointer speed lower than the default (to the 4th tick mark in the slider) when I installed the OS.

But for a while now, when I restart the pc, the pointer is way faster then it should be and I have to reconfigure it. The settings, in System Settings > Input > Mouse, are as I set them, but they are not applied to the mouse.

STEPS TO REPRODUCE
1. Change mouse pointer speed so that it's easy to notice the difference
2. Restart PC
3. Check mouse pointer speed

OBSERVED RESULT
Mouse pointer speed is different then before restart.

EXPECTED RESULT
Mouse pointer speed is the same.

SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20210325
KDE Plasma Version: 5.21.3
KDE Frameworks Version: 5.80.0
Qt Version: 5.15.2
Kernel Version: 5.11.6-1-default
OS Type: 64-bit
Graphics Platform: X11
Processors: 12 × AMD Ryzen 5 2600 Six-Core Processor
Memory: 15,6 GiB of RAM
Graphics Processor: GeForce GTX 750 Ti/PCIe/SSE2

ADDITIONAL INFORMATION
I think this started with the 5.21.3 version.
Comment 1 Nate Graham 2021-03-31 21:08:22 UTC
Does the same thing happen immediately if you run `sudo udevadm trigger -s input`? If so then this probably has the same root cause as Bug 414559.
Comment 2 george fb 2021-03-31 22:29:43 UTC
> Does the same thing happen immediately if you run `sudo udevadm trigger -s input`?

No.
Comment 3 Nate Graham 2021-04-01 16:14:22 UTC
Welp, guess it's not that.

Cannot reproduce also on openSUSE Tumbleweed, BTW.
Comment 4 george fb 2021-04-10 13:55:50 UTC
Running `sudo udevadm trigger -s input`, after reboot, while the pointer speed is wrong, fixes the problem.
Comment 5 Nate Graham 2021-04-12 15:38:09 UTC
Reminds me of Bug 414559, also on openSUSE.
Comment 6 Nick 2021-08-11 11:52:12 UTC
I have the exact same issue, but on Manjaro.

SOFTWARE/OS VERSIONS
Operating System: openSUSE Tumbleweed 20210325
KDE Plasma Version: 5.22.4
KDE Frameworks Version: 5.84.0
Qt Version: 5.15.2
Kernel Version: 5.10.56-1
OS Type: 64-bit
Graphics Platform: X11
Processors: AMD Ryzen 7 5800X
Memory: 15,6 GiB of RAM
Graphics Processor: GeForce RTX 2070 Super
Comment 7 Nick 2021-08-11 11:59:19 UTC
(In reply to Nick from comment #6)
> I have the exact same issue, but on Manjaro.
> 
> SOFTWARE/OS VERSIONS
> Operating System: openSUSE Tumbleweed 20210325
> KDE Plasma Version: 5.22.4
> KDE Frameworks Version: 5.84.0
> Qt Version: 5.15.2
> Kernel Version: 5.10.56-1
> OS Type: 64-bit
> Graphics Platform: X11
> Processors: AMD Ryzen 7 5800X
> Memory: 15,6 GiB of RAM
> Graphics Processor: GeForce RTX 2070 Super

Copy paste error. OS is of course as follows:
Operating System: Manjaro 21.1.0
Comment 8 Till Seifert 2021-12-03 12:35:44 UTC
Also affected for me:
Betriebssystem: KDE neon 5.23
KDE-Plasma-Version: 5.23.3
KDE-Frameworks-Version: 5.88.0
Qt-Version: 5.15.3
Kernel-Version: 5.10.0-051000-generic (64-bit)
Grafik-Plattform: X11

It started some days ago, but it might be some versions back because do not reboot regularly. I'm on Neon User edition and apply any updates immediately.
For me the mouse pointer is much slower than needed, and i also just touch the settings (max speed) and it's ok again.
Comment 9 mayur.k.shende 2022-02-11 06:47:27 UTC
Facing the same issue. Started after updating KDE Plasma to 5.24.0.

Operating System: EndeavourOS
KDE Plasma Version: 5.24.0
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.2
Kernel Version: 5.16.8-arch1-g14-1 (64-bit)
Graphics Platform: X11
Processors: 16 × AMD Ryzen 9 5900HS with Radeon Graphics
Memory: 15.1 GiB of RAM
Graphics Processor: AMD RENOIR
Comment 10 Nate Graham 2022-02-11 15:40:42 UTC
Possibly the same root cause as Bug 447612?
Comment 11 odzinic 2022-02-11 19:12:51 UTC
Experiencing the same issue on Manjaro after upgrading to 5.24.

Operating System: Manjaro Linux
KDE Plasma Version: 5.24.0
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.2
Kernel Version: 5.14.21-2-MANJARO (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7-6700K CPU @ 4.00GHz
Memory: 15.6 GiB of RAM
Graphics Processor: NVIDIA GeForce GTX 1080 Ti/PCIe/SSE2
Comment 12 odzinic 2022-02-11 19:15:45 UTC
(In reply to odzinic from comment #11)
> Experiencing the same issue on Manjaro after upgrading to 5.24.
> 
> Operating System: Manjaro Linux
> KDE Plasma Version: 5.24.0
> KDE Frameworks Version: 5.90.0
> Qt Version: 5.15.2
> Kernel Version: 5.14.21-2-MANJARO (64-bit)
> Graphics Platform: X11
> Processors: 8 × Intel® Core™ i7-6700K CPU @ 4.00GHz
> Memory: 15.6 GiB of RAM
> Graphics Processor: NVIDIA GeForce GTX 1080 Ti/PCIe/SSE2

Also forgot to mention that the issue occurs on both restarts and when I disconnect/reconnect my mouse. Running `sudo udevadm trigger -s input` did not fix the issue. I have to change the point speed to something else and then put it back to the original setting to fix it.
Comment 13 Nate Graham 2022-02-11 22:02:12 UTC
*** Bug 449973 has been marked as a duplicate of this bug. ***
Comment 14 Nate Graham 2022-02-11 22:02:58 UTC
*** Bug 449811 has been marked as a duplicate of this bug. ***
Comment 15 Gunter Ohrner 2022-02-11 23:55:50 UTC
@odzinic@gmail.com: I'm also experiencing this exactly since the upgrade from 5.23 (which was fine) to 5.24.

@Nate Graham: I'm not really sure that my report Bug 449973 really is a duplicate of this one.

This Bug 435113 was already reported against 5.21.x, but mouse settings worked fine for me in all versions up to and including 5.23.x, and it now only failed after the latest upgrade to 5.24. :-(
Comment 16 Gunter Ohrner 2022-02-11 23:56:51 UTC
Just for the record, it fails now with / on:

Operating System: KDE neon 5.24
KDE Plasma Version: 5.24.0
KDE Frameworks Version: 5.90.0
Qt Version: 5.15.3
Kernel Version: 5.13.0-28-generic (64-bit)
Graphics Platform: X11
Processors: 8 × Intel® Core™ i7-7820HQ CPU @ 2.90GHz
Memory: 31.2 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 630
Comment 17 Gerry Gavigan 2022-02-12 09:26:21 UTC
I am confused about the latest comment on bug 397971 suggesting that the mouse settings problem be dealt with here.

I am using an ASUS UX305C laptop to type this report. 

I am using Tumbleweed updated yesterday with no modification or scripts. 

Today, on power up, the left-handed radio button is checked.

As usual in order to trigger left-handedness, I had to toggle the radio button off and on.

Until today that would work

Today this ritual restores left-handedness for less than a minute. There is no event that I can identify causing this to happen.

It's a Bluetooth mouse. I do not know if this is part of the problem. Until recently Bluetooth was problematic, often not enabled on power up and with sometimes no adapter detected.  Logging out and logging in was one way to cure the problem.

Bluetooth now seems stable but the left-handness problem has reached the point of uselessness.

The only other thing I can say is that with my desktop and a USB mouse I have never experienced any problems with left-handedness
Comment 18 Nate Graham 2022-02-15 21:00:53 UTC
*** Bug 450064 has been marked as a duplicate of this bug. ***
Comment 19 Lê Hoàng Phương 2022-02-15 23:30:45 UTC
Confirm that this issue happens again after upgrading to 5.24 from 5.23.
Comment 20 Nate Graham 2022-02-16 19:02:52 UTC
*** Bug 450224 has been marked as a duplicate of this bug. ***
Comment 21 Nate Graham 2022-02-16 19:03:20 UTC
*** Bug 450388 has been marked as a duplicate of this bug. ***
Comment 22 Nate Graham 2022-02-16 19:03:58 UTC
Seems to have gotten much worse in 5.24; marking accordingly.
Comment 23 Gerry Gavigan 2022-02-21 13:17:12 UTC
For me the evidence is pointing to Bluetooth.

It doesn't seem to Intel (my desktop with an AMD processor and USB mouse does not exhibit the problem
It doesn't seem to be about the mouse (I have never experienced the problem with a wired mouse)
It doesn't seem to be a USB problem (an Intel based laptop with USB mouse does not exhibit the problem)

Recently most recently my Bluetooth mouse exhibited a new problem in that it failed to work at all. However as you can see from the screenshot, (see "battery strength")  the system recognised it
Comment 24 Gerry Gavigan 2022-02-21 13:20:28 UTC
Apologies, failed to save screenshot
Comment 25 Gunter Ohrner 2022-02-21 13:53:52 UTC
I think that maybe different issues with different root causes have now been mixed into this report here.

@Gerry Gavigan: What's your KDE Plasma version, is it even already 5.24?

In my case (Bug 449973) it definitely has not anything to do with bluetooth at all, I don't even own a bluetooth mouse. It happens with several different wired mouses, and it does NOT happen directly after starting the system, only after suspend / resume.
Comment 26 Nick 2022-02-21 14:20:22 UTC
(In reply to Gerry Gavigan from comment #23)
> For me the evidence is pointing to Bluetooth.
> 
> It doesn't seem to Intel (my desktop with an AMD processor and USB mouse
> does not exhibit the problem
> It doesn't seem to be about the mouse (I have never experienced the problem
> with a wired mouse)
> It doesn't seem to be a USB problem (an Intel based laptop with USB mouse
> does not exhibit the problem)
> 
> Recently most recently my Bluetooth mouse exhibited a new problem in that it
> failed to work at all. However as you can see from the screenshot, (see
> "battery strength")  the system recognised it

This is probably something different then. We also have people with AMD and Intel processors aswell as Bluetooth or wired mouses reporting the same issue. In my case, the issue happened on a PC that doesn't even have Bluetooth functionality/hardware
Comment 27 Gerry Gavigan 2022-02-21 18:56:48 UTC
(In reply to Gunter Ohrner from comment #25)
> I think that maybe different issues with different root causes have now been
> mixed into this report here.
> 
> @Gerry Gavigan: What's your KDE Plasma version, is it even already 5.24?
> 
> In my case (Bug 449973) it definitely has not anything to do with bluetooth
> at all, I don't even own a bluetooth mouse. It happens with several
> different wired mouses, and it does NOT happen directly after starting the
> system, only after suspend / resume.

I am always running up to date Tumbleweed.
Comment 28 Gerry Gavigan 2022-02-21 18:59:32 UTC
(In reply to Nick from comment #26)
> (In reply to Gerry Gavigan from comment #23)
> > For me the evidence is pointing to Bluetooth.
> > 
> > It doesn't seem to Intel (my desktop with an AMD processor and USB mouse
> > does not exhibit the problem
> > It doesn't seem to be about the mouse (I have never experienced the problem
> > with a wired mouse)
> > It doesn't seem to be a USB problem (an Intel based laptop with USB mouse
> > does not exhibit the problem)
> > 
> > Recently most recently my Bluetooth mouse exhibited a new problem in that it
> > failed to work at all. However as you can see from the screenshot, (see
> > "battery strength")  the system recognised it
> 
> This is probably something different then. We also have people with AMD and
> Intel processors aswell as Bluetooth or wired mouses reporting the same
> issue. In my case, the issue happened on a PC that doesn't even have
> Bluetooth functionality/hardware

The *only* computer that exhibits this problem for me is one using a Bluetooth mouse.
Comment 29 Nate Graham 2022-02-21 20:48:56 UTC
Those of you experiencing the issue, does it also happen if you run `sudo udevadm trigger -s input`? We have another bug about that (Bug 414559) and I wonder if something changed recently to trigger that condition more often.
Comment 30 odzinic 2022-02-21 20:50:21 UTC
(In reply to Nate Graham from comment #29)
> Those of you experiencing the issue, does it also happen if you run `sudo
> udevadm trigger -s input`? We have another bug about that (Bug 414559) and I
> wonder if something changed recently to trigger that condition more often.

Yes, the issue occurred after I ran that.
Comment 31 Patrick Silva 2022-02-21 21:02:53 UTC
*** Bug 450666 has been marked as a duplicate of this bug. ***
Comment 32 Marc Lewis 2022-02-21 21:16:11 UTC
(In reply to Nate Graham from comment #29)
> Those of you experiencing the issue, does it also happen if you run `sudo
> udevadm trigger -s input`? We have another bug about that (Bug 414559) and I
> wonder if something changed recently to trigger that condition more often.

Yes. That triggers it for me also.
Comment 33 Gunter Ohrner 2022-02-21 22:35:01 UTC
Confirmed - for me as well.
Comment 34 Nate Graham 2022-02-21 22:39:50 UTC
*** Bug 450528 has been marked as a duplicate of this bug. ***
Comment 35 Nate Graham 2022-02-21 22:40:52 UTC
Thanks everyone. I suspect they are the same issue, and that other condition is now being triggered more frequently. Hopefully a fix xises both of them.

Are all of you using X11, or is anyone able to reproduce it on Wayland? I am on Way;and and haven't managed to reproduce it.
Comment 36 Marc Lewis 2022-02-21 23:15:59 UTC
(In reply to Nate Graham from comment #35)
> Thanks everyone. I suspect they are the same issue, and that other condition
> is now being triggered more frequently. Hopefully a fix xises both of them.
> 
> Are all of you using X11, or is anyone able to reproduce it on Wayland? I am
> on Way;and and haven't managed to reproduce it.

I'm on X11. In case it matters, for me it's a Logitech mouse with the Logitech dongle (not Bluetooth).
Comment 37 Gunter Ohrner 2022-02-22 11:22:28 UTC
Also X11, wired USB mouses.
Comment 38 Gerry Gavigan 2022-02-22 13:00:05 UTC
For me "sudo udevadm trigger -s input" (X11, Bluetooth mouse) 

turns left-handedness to right-handedness

does not turn right-handedness to left-handedness
Comment 39 Gerry Gavigan 2022-02-22 17:24:08 UTC
I've just tried Wayland for the first time, left-handedness seems stable
Comment 40 Nate Graham 2022-02-22 17:36:52 UTC
(In reply to Gerry Gavigan from comment #38)
> For me "sudo udevadm trigger -s input" (X11, Bluetooth mouse) 
> 
> turns left-handedness to right-handedness
> 
> does not turn right-handedness to left-handedness
Probably because right-handedness is the default value, and `sudo udevadm trigger -s input` resets it to the defaults
Comment 41 Lee Rogers 2022-02-22 18:01:46 UTC
(In reply to Nate Graham from comment #40)
> (In reply to Gerry Gavigan from comment #38)
> > For me "sudo udevadm trigger -s input" (X11, Bluetooth mouse) 
> > 
> > turns left-handedness to right-handedness
> > 
> > does not turn right-handedness to left-handedness
> Probably because right-handedness is the default value, and `sudo udevadm
> trigger -s input` resets it to the defaults


For anyone experiencing left handed mode reverting back to right-handed, I discovered that when changing between wireless and wired mode on my Logitech mouse, running `xinput --list-props` in terminal, `libinput Left Handed Enabled` changes from value 1 to 0. I made a libinput config file at `/etc/X11/xorg.conf.d/10-libinput.conf` with the following:

Section "InputClass"
    Identifier      "Logitech G Pro Left Handed Mapping"
    MatchProduct    "Logitech G Pro"
    Driver          "libinput"
    Option          "LeftHanded" "1"
EndSection

Upon restating the X server, rerunning `xinput --list-props` on the device shows that the value of `libinput Left Handed Enabled` is persistent and remains at value of 1. It has not reverted back to defaults since.
Comment 42 Gerry Gavigan 2022-02-25 14:00:25 UTC
(In reply to Lee Rogers from comment #41)
> (In reply to Nate Graham from comment #40)
> > (In reply to Gerry Gavigan from comment #38)
> > > For me "sudo udevadm trigger -s input" (X11, Bluetooth mouse) 
> > > 
> > > turns left-handedness to right-handedness
> > > 
> > > does not turn right-handedness to left-handedness
> > Probably because right-handedness is the default value, and `sudo udevadm
> > trigger -s input` resets it to the defaults
> 
> 
> For anyone experiencing left handed mode reverting back to right-handed, I
> discovered that when changing between wireless and wired mode on my Logitech
> mouse, running `xinput --list-props` in terminal, `libinput Left Handed
> Enabled` changes from value 1 to 0. I made a libinput config file at
> `/etc/X11/xorg.conf.d/10-libinput.conf` with the following:
> 
> Section "InputClass"
>     Identifier      "Logitech G Pro Left Handed Mapping"
>     MatchProduct    "Logitech G Pro"
>     Driver          "libinput"
>     Option          "LeftHanded" "1"
> EndSection
> 
> Upon restating the X server, rerunning `xinput --list-props` on the device
> shows that the value of `libinput Left Handed Enabled` is persistent and
> remains at value of 1. It has not reverted back to defaults since.

As a user, I have adopted Wayland. Apart from a refusal to leave the clock where I left it on the desktop, everything else is fine. Always left-handed and as a side effect Wayland deals with hi-res screens better too.
Comment 43 Thomas Mitterfellner 2022-03-03 19:31:52 UTC
(In reply to Nate Graham from comment #29)
> Those of you experiencing the issue, does it also happen if you run `sudo
> udevadm trigger -s input`? We have another bug about that (Bug 414559) and I
> wonder if something changed recently to trigger that condition more often.

No, when I do "sudo udevadm trigger -s input", my touchpad settings work just fine, so I'm not sure whether https://bugs.kde.org/show_bug.cgi?id=450528 is actually a duplicate of the issues dealt with here..
Is there anything I could do to help elucidating what the problem is in my case (as described in the other bug report, my problem is that touchpad settings are kind of "un-applied" after a restart although they are kind of remembered, so I have to manually go to the touchpad settings and hit apply there, after which everything works as expected).
Comment 44 Sander Lindeman 2022-03-21 06:52:14 UTC
*** Bug 451067 has been marked as a duplicate of this bug. ***
Comment 45 Nate Graham 2022-03-22 03:28:53 UTC
*** Bug 451183 has been marked as a duplicate of this bug. ***
Comment 46 poudinkpopinski 2022-03-22 14:02:25 UTC
So it seems 451183 has been marked as a duplicate of this issue. As a result, I want to reiterate here that it for me only happens when launching with a controller that has a touchpad plugged in. Do any of you here have a touchpad controller (like a Steam controller, DualShock 4 or DualSense) or any other device that would cause more than one touchpad to be active at launch? Does this also happen without the device being plugged in?
Comment 47 odzinic 2022-03-22 14:07:20 UTC
(In reply to poudinkpopinski from comment #46)
> So it seems 451183 has been marked as a duplicate of this issue. As a
> result, I want to reiterate here that it for me only happens when launching
> with a controller that has a touchpad plugged in. Do any of you here have a
> touchpad controller (like a Steam controller, DualShock 4 or DualSense) or
> any other device that would cause more than one touchpad to be active at
> launch? Does this also happen without the device being plugged in?

I just tried connecting my Steam Controller via bluetooth and moving the mouse around with the touchpad. After turning the controller off, the issue did not occur for me. The issue does occur if I turn off my dock or run sudo udevadm trigger -s input thought.
Comment 48 Josh Taylor 2022-03-23 12:42:23 UTC
This issue occurs for me when plugging/unplugging my dongle (viper ultimate, it's not bluetooth, it's their lightspeed or whatever they call it) or using my KVM (which would reset the USB state). This happens on X11.

KDE Plasma Version: 5.24.3
KDE Frameworks Version: 5.92.0
Qt Version: 5.15.3
Kernel version: 5.15.30-xanmod-tt-1 (64-bit)

ArchLinux

I also have AMD

On Wayland this does not occur, I also see a "devices" dropdown in wayland that I don't see in x11.
Comment 49 Nick 2022-03-23 18:49:44 UTC
This bug and the original issue here is about mouse pointer speed changing on reboot.

There are a lot of people coming here from other "marked as duplicate bugs" that have to do with left/righthandedness, also switching during runtime and not only after reboots.

Are we sure these are the same issues? I'm afraid we might be mixing two things here.
Comment 50 poudinkpopinski 2022-03-24 21:57:26 UTC
Okay so I think there's definitely a bit more to my issue after all. I've had a few times where plugging in my DualSense would cause my home directory to somehow be treated as read only after a few minutes (only happened when using a USB 3 port, but it might just be a coincidence) and far worse, two instances where it caused my screen to go black. The first time, I was using X11 and it was fixed after a restart. The second time, I'd switched to Wayland in an attempt to confirm what Josh Taylor had observed and it completely broke my system. Now, when trying to launch, I either get a black screen or an error message saying network manager failed to launch. Basically, the DualSense keeps breaking everything and I don't think I'll be trying to use it again.
Comment 51 poudinkpopinski 2022-03-24 21:59:53 UTC
Correcting a mistake from my previous, it would cause my screen to go black right after unplugging the DualSense, not after plugging it in.
Comment 52 ratijas 2022-03-25 00:13:58 UTC
FWIW I think the resetting preferences issue is fixed for me on git master. Both mouse and touchpad now restore all their settings correctly after reboot.

I don't know what has changed, as I have been out of the loop recently, so... can't point my finger on a fix.
Comment 53 Nate Graham 2022-03-26 03:29:40 UTC
*** Bug 451666 has been marked as a duplicate of this bug. ***
Comment 54 Patrick Silva 2022-03-26 23:04:08 UTC
*** Bug 451913 has been marked as a duplicate of this bug. ***
Comment 55 Nate Graham 2022-03-27 02:26:31 UTC
*** Bug 451740 has been marked as a duplicate of this bug. ***
Comment 56 warxcell 2022-04-01 08:23:49 UTC
+1

plasmashell 5.24.4
Qt: 5.15.3
KDE Frameworks: 5.92.0
kf5-config: 1.0


Press left and right buttons for middle-click is reset on every reboot, sleep.
Comment 57 Nate Graham 2022-04-01 19:46:52 UTC
*** Bug 452152 has been marked as a duplicate of this bug. ***
Comment 58 Gerry Gavigan 2022-04-04 06:11:20 UTC
idly playing a game while running zypper dup, left-handedness got reset twice after the kernel was installed. Hopefully the list I'm about to include isn't rubbish and someone more knowledgable than me can identify candidate villains 
[code]
[280/469) Installing: kernel-default-5.17.1-1.2.x86_64 .................................................[done]
Updating /etc/sysconfig/language ...
Updating /etc/sysconfig/proxy ...
Updating /etc/sysconfig/windowmanager ...
(281/469) Installing: aaa_base-84.87+git20220324.fca4619-1.1.x86_64 ....................................[done]
Updating /etc/sysconfig/backup ...
(282/469) Installing: aaa_base-extras-84.87+git20220324.fca4619-1.1.x86_64 .............................[done]
(283/469) Installing: libserializer-1.1.2-6.1.noarch ...................................................[done]
(284/469) Installing: librepository-1.1.3-6.1.noarch ...................................................[done]
(285/469) Installing: libloader-1.1.3-6.1.noarch .......................................................[done]
(286/469) Installing: libformula-1.1.3-6.1.noarch ......................................................[done]
(287/469) Installing: libgstpbutils-1_0-0-1.20.1-2.1.x86_64 ............................................[done]
(288/469) Installing: libgstvideo-1_0-0-1.20.1-2.1.x86_64 ..............................................[done]
(289/469) Installing: gstreamer-plugins-base-1.20.1-2.1.x86_64 .........................................[done]
(290/469) Installing: libgstapp-1_0-0-1.20.1-2.1.x86_64 ................................................[done]
(291/469) Installing: libMagickCore-7_Q16HDRI10-7.1.0.28-1.1.x86_64 ....................................[done]
(292/469) Installing: gdk-pixbuf-loader-rsvg-2.54.0-1.1.x86_64 .........................................[done]
(293/469) Installing: discover-lang-5.24.4-1.1.noarch ..................................................[done]
(294/469) Installing: samba-libs-4.15.5+git.328.f1f29505d84-1.3.x86_64 .................................[done]
(295/469) Installing: libsamba-policy0-python3-4.15.5+git.328.f1f29505d84-1.3.x86_64 ...................[done]
(296/469) Installing: bind-utils-9.16.25-2.3.x86_64 ....................................................[done]
(297/469) Installing: apparmor-utils-3.0.4-2.1.noarch ..................................................[done]
(298/469) Installing: systemd-250.4-2.1.x86_64 .........................................................[done]
(299/469) Installing: udev-250.4-2.1.x86_64 ............................................................[done]
(300/469) Installing: pentaho-libxml-1.1.3-6.1.noarch ..................................................[done]
(301/469) Installing: libfonts-1.1.3-7.1.noarch ........................................................[done]
(302/469) Installing: libgstbadaudio-1_0-0-1.20.1-2.1.x86_64 ...........................................[done]
(303/469) Installing: libgstbasecamerabinsrc-1_0-0-1.20.1-2.1.x86_64 ...................................[done]
(304/469) Installing: libgstallocators-1_0-0-1.20.1-2.1.x86_64 .........................................[done]
(305/469) Installing: libgstgl-1_0-0-1.20.1-2.1.x86_64 .................................................[done]
(306/469) Installing: libMagickWand-7_Q16HDRI10-7.1.0.28-1.1.x86_64 ....................................[done]
(307/469) Installing: samba-ad-dc-libs-4.15.5+git.328.f1f29505d84-1.3.x86_64 ...........................[done]
(308/469) Installing: apparmor-utils-lang-3.0.4-2.1.noarch .............................................[done]
Updating /etc/sysconfig/security ...
(309/469) Installing: yast2-installation-4.4.50-1.1.noarch .............................................[done]
(310/469) Installing: xterm-372-1.1.x86_64 .............................................................[done]
(311/469) Installing: texlive-lm-fonts-2021.189.2.005svn58637-49.1.noarch ..............................[done]
(312/469) Installing: python3-firewall-1.1.1-1.1.noarch ................................................[done]
Updating /etc/sysconfig/firewalld ...
(313/469) Installing: firewalld-1.1.1-1.1.noarch .......................................................[done]
/usr/bin/systemd-sysusers --replace=/usr/lib/sysusers.d/postfix-user.conf -
Executing upgrade-configuration.
Editing /etc/postfix/master.cf, adding missing entry for tlsmgr service
Updating /etc/sysconfig/postfix ...
Updating /etc/sysconfig/mail ...
(314/469) Installing: postfix-3.6.2-7.5.x86_64 .........................................................[done]
(315/469) Installing: openvpn-2.5.6-1.1.x86_64 .........................................................[done]
(316/469) Installing: lvm2-2.03.15-3.1.x86_64 ..........................................................[done]
(317/469) Installing: libupower-glib3-0.99.17-2.1.x86_64 ...............................................[done]
(318/469) Installing: upower-0.99.17-2.1.x86_64 ........................................................[done]
(319/469) Installing: google-droid-fonts-20121204-8.1.noarch ...........................................[done]
(320/469) Installing: geoclue2-2.5.7-4.1.x86_64 ........................................................[done]
(321/469) Installing: desktop-file-utils-0.26-4.1.x86_64 ...............................................[done]
(322/469) Installing: bluez-5.64-1.1.x86_64 ............................................................[done]
Updating /etc/sysconfig/autofs ...
Updating /etc/sysconfig/autofs ...
(323/469) Installing: autofs-5.1.8-2.3.x86_64 ..........................................................[done]
(324/469) Installing: audit-3.0.6-3.2.x86_64 ...........................................................[done]
(325/469) Installing: apparmor-parser-3.0.4-2.1.x86_64 .................................................[done]
(326/469) Installing: accountsservice-0.6.55-11.1.x86_64 ...............................................[done]
(327/469) Installing: NetworkManager-branding-openSUSE-42.1-3.20.noarch ................................[done]
(328/469) Installing: NetworkManager-1.36.4-1.1.x86_64 .................................................[done]
(329/469) Installing: liblayout-0.2.10-6.1.noarch ......................................................[done]
(330/469) Installing: libgstriff-1_0-0-1.20.1-2.1.x86_64 ...............................................[done]
(331/469) Installing: ImageMagick-7.1.0.28-1.1.x86_64 ..................................................[done]
(332/469) Installing: firewalld-lang-1.1.1-1.1.noarch ..................................................[done]
(333/469) Installing: firewalld-bash-completion-1.1.1-1.1.noarch .......................................[done]
Updating /etc/sysconfig/mdadm ...
(334/469) Installing: mdadm-4.1-17.1.x86_64 ............................................................[done]
(335/469) Installing: mailx-12.5-34.1.x86_64 ...........................................................[done]
(336/469) Installing: bluedevil5-5.24.4-1.1.x86_64 .....................................................[done]
(337/469) Installing: bluedevil5-lang-5.24.4-1.1.noarch ................................................[done]
(338/469) Installing: openssh-common-8.9p1-1.2.x86_64 ..................................................[done]
/usr/bin/systemd-sysusers --replace=/usr/lib/sysusers.d/sshd.conf -
Updating /etc/sysconfig/ssh ...
(339/469) Installing: openssh-server-8.9p1-1.2.x86_64 ..................................................[done]
(340/469) Installing: apparmor-parser-lang-3.0.4-2.1.noarch ............................................[done]
(341/469) Installing: apparmor-abstractions-3.0.4-2.1.noarch ...........................................[done]
(342/469) Installing: accountsservice-lang-0.6.55-11.1.noarch ..........................................[done]
(343/469) Installing: plasma-nm5-5.24.4-1.1.x86_64 .....................................................[done]
(344/469) Installing: plasma-nm5-lang-5.24.4-1.1.noarch ................................................[done]
(345/469) Installing: NetworkManager-pptp-1.2.10-1.1.x86_64 ............................................[done]
(346/469) Installing: NetworkManager-lang-1.36.4-1.1.noarch ............................................[done]
(347/469) Installing: pentaho-reporting-flow-engine-0.9.4-6.1.noarch ...................................[done]
(348/469) Installing: libgstwayland-1_0-0-1.20.1-2.1.x86_64 ............................................[done]
(349/469) Installing: libgstvulkan-1_0-0-1.20.1-2.1.x86_64 .............................................[done]
(350/469) Installing: libgstrtsp-1_0-0-1.20.1-2.1.x86_64 ...............................................[done]
(351/469) Installing: libgstrtp-1_0-0-1.20.1-2.1.x86_64 ................................................[done]
(352/469) Installing: libgstfft-1_0-0-1.20.1-2.1.x86_64 ................................................[done]
(353/469) Installing: libgstcodecs-1_0-0-1.20.1-2.1.x86_64 .............................................[done]
(354/469) Installing: gstreamer-plugins-base-lang-1.20.1-2.1.noarch ....................................[done]
(355/469) Installing: libstorage-ng1-4.5.1-1.1.x86_64 ..................................................[done]
/etc/cron.d/: no configuration entry in active permission profiles found. Cannot check this path.
/etc/cron.daily/: no configuration entry in active permission profiles found. Cannot check this path.
/etc/cron.hourly/: no configuration entry in active permission profiles found. Cannot check this path.
/etc/cron.monthly/: no configuration entry in active permission profiles found. Cannot check this path.
/etc/cron.weekly/: no configuration entry in active permission profiles found. Cannot check this path.
(356/469) Installing: cron-4.2-87.1.x86_64 .............................................................[done]
/usr/bin/crontab: setting to root:trusted 4755 (wrong permissions 4750)
Updating /etc/sysconfig/cron ...
(357/469) Installing: cronie-1.6.0-87.1.x86_64 .........................................................[done]
(358/469) Installing: openssh-clients-8.9p1-1.2.x86_64 .................................................[done]
(359/469) Installing: apparmor-profiles-3.0.4-2.1.noarch ...............................................[done]
(360/469) Installing: plasma-nm5-openvpn-5.24.4-1.1.x86_64 .............................................[done]
(361/469) Installing: plasma-nm5-openconnect-5.24.4-1.1.x86_64 .........................................[done]
(362/469) Installing: plasma-nm5-pptp-5.24.4-1.1.x86_64 ................................................[done]
(363/469) Installing: NetworkManager-pptp-lang-1.2.10-1.1.noarch .......................................[done]
(364/469) Installing: libgstsdp-1_0-0-1.20.1-2.1.x86_64 ................................................[done]
(365/469) Installing: libstorage-ng-ruby-4.5.1-1.1.x86_64 ..............................................[done]
Updating /etc/sysconfig/samba ...
(366/469) Installing: samba-4.15.5+git.328.f1f29505d84-1.3.x86_64 ......................................[done]
(367/469) Installing: openssh-8.9p1-1.2.x86_64 .........................................................[done]
(368/469) Installing: libgstwebrtc-1_0-0-1.20.1-2.1.x86_64 .............................................[done]
(369/469) Installing: gstreamer-plugins-ugly-1.20.1-1.1.x86_64 .........................................[done]
(370/469) Installing: samba-python3-4.15.5+git.328.f1f29505d84-1.3.x86_64 ..............................[done]
(371/469) Installing: gstreamer-plugins-bad-1.20.1-2.1.x86_64 ..........................................[done]
(372/469) Installing: libavcodec58_134-4.4.1-10.1.x86_64 ...............................................[done]
(373/469) Installing: libavformat58_76-4.4.1-10.1.x86_64 ...............................................[done]
(374/469) Installing: libavfilter7_110-4.4.1-10.1.x86_64 ...............................................[done]
(375/469) Installing: gstreamer-plugins-libav-1.20.1-66.1.x86_64 .......................................[done]
(376/469) Installing: pipewire-spa-plugins-0_2-0.3.49-1.1.x86_64 .......................................[done]
(377/469) Installing: libpipewire-0_3-0-0.3.49-1.1.x86_64 ..............................................[done]
(378/469) Installing: libqt5-qtwebengine-5.15.8-2.1.x86_64 .............................................[done]
(379/469) Installing: pipewire-spa-tools-0.3.49-1.1.x86_64 .............................................[done]
(380/469) Installing: libksysguard5-imports-5.24.4-1.1.x86_64 ..........................................[done]
(381/469) Installing: libksysguard5-5.24.4-1.1.x86_64 ..................................................[done]
(382/469) Installing: libksysguard5-lang-5.24.4-1.1.noarch .............................................[done]
(383/469) Installing: pipewire-modules-0_3-0.3.49-1.1.x86_64 ...........................................[done]
(384/469) Installing: ksystemstats5-5.24.4-1.1.x86_64 ..................................................[done]
(385/469) Installing: pipewire-tools-0.3.49-1.1.x86_64 .................................................[done]
(386/469) Installing: libwireplumber-0_4-0-0.4.9-3.1.x86_64 ............................................[done]
(387/469) Installing: plasma5-systemmonitor-5.24.4-1.1.x86_64 ..........................................[done]
(388/469) Installing: ksystemstats5-lang-5.24.4-1.1.noarch .............................................[done]
(389/469) Installing: wireplumber-0.4.9-3.1.x86_64 .....................................................[done]
(390/469) Installing: pipewire-0.3.49-1.1.x86_64 .......................................................[done]
(391/469) Installing: plasma5-systemmonitor-lang-5.24.4-1.1.noarch .....................................[done]
(392/469) Installing: xdg-desktop-portal-1.14.1-2.1.x86_64 .............................................[done]
/usr/bin/kwin_wayland: setting to root:root 0755 "cap_sys_nice=ep". (missing capabilities)
(393/469) Installing: kwin5-5.24.4-1.1.x86_64 ..........................................................[done]
(394/469) Installing: kwin5-lang-5.24.4-1.1.noarch .....................................................[done]
(395/469) Installing: xdg-desktop-portal-lang-1.14.1-2.1.noarch ........................................[done]
(396/469) Installing: xdg-desktop-portal-kde-5.24.4-1.1.x86_64 .........................................[done]
(397/469) Installing: xdg-desktop-portal-kde-lang-5.24.4-1.1.noarch ....................................[done]
(398/469) Installing: libgoa-1_0-0-3.43.1-1.1.x86_64 ...................................................[done]
(399/469) Installing: gvfs-1.50.0-1.1.x86_64 ...........................................................[done]
/usr/libexec/gvfs/gvfsd-nfs: setting to root:root 0755 "cap_net_bind_service=ep". (missing capabilities)
(400/469) Installing: gvfs-backends-1.50.0-1.1.x86_64 ..................................................[done]
(401/469) Installing: plasma5-workspace-libs-5.24.4-1.2.x86_64 .........................................[done]
(402/469) Installing: systemsettings5-5.24.4-1.1.x86_64 ................................................[done]
(403/469) Installing: gtk3-tools-3.24.33+12-1.1.x86_64 .................................................[done]
(404/469) Installing: libgtk-3-0-3.24.33+12-1.1.x86_64 .................................................[done]
(405/469) Installing: gtk3-immodule-amharic-3.24.33+12-1.1.x86_64 ......................................[done]
(406/469) Installing: kde-cli-tools5-5.24.4-1.1.x86_64 .................................................[done]
(407/469) Installing: gtk3-immodule-inuktitut-3.24.33+12-1.1.x86_64 ....................................[done]
(408/469) Installing: plasma5-workspace-5.24.4-1.2.x86_64 ..............................................[done]
(409/469) Installing: plasma5-workspace-lang-5.24.4-1.2.noarch .........................................[done]
(410/469) Installing: kde-cli-tools5-lang-5.24.4-1.1.noarch ............................................[done]
(411/469) Installing: gtk3-immodule-thai-3.24.33+12-1.1.x86_64 .........................................[done]
(412/469) Installing: systemsettings5-lang-5.24.4-1.1.noarch ...........................................[done]
(413/469) Installing: sddm-theme-openSUSE-84.87~git20220116T220745~fffd234-5.1.noarch ..................[done]
(414/469) Installing: powerdevil5-5.24.4-1.1.x86_64 ....................................................[done]
(415/469) Installing: powerdevil5-lang-5.24.4-1.1.noarch ...............................................[done]
(416/469) Installing: plasma5-theme-openSUSE-84.87~git20220116T220745~fffd234-5.1.noarch ...............[done]
(417/469) Installing: plasma5-addons-5.24.4-1.1.x86_64 .................................................[done]
(418/469) Installing: plasma5-addons-lang-5.24.4-1.1.noarch ............................................[done]
(419/469) Installing: plasma-browser-integration-5.24.4-1.1.x86_64 .....................................[done]
(420/469) Installing: plasma-browser-integration-lang-5.24.4-1.1.noarch ................................[done]
(421/469) Installing: khotkeys5-5.24.4-1.1.x86_64 ......................................................[done]
(422/469) Installing: khotkeys5-lang-5.24.4-1.1.noarch .................................................[done]
(423/469) Installing: gtk3-immodule-tigrigna-3.24.33+12-1.1.x86_64 .....................................[done]
(424/469) Installing: kinfocenter5-5.24.4-1.1.x86_64 ...................................................[done]
(425/469) Installing: kinfocenter5-lang-5.24.4-1.1.noarch ..............................................[done]
(426/469) Installing: plasma5-defaults-openSUSE-84.87~git20220116T220745~fffd234-5.1.noarch ............[done]
(427/469) Installing: gtk3-immodule-vietnamese-3.24.33+12-1.1.x86_64 ...................................[done]
(428/469) Installing: plasma5-desktop-5.24.4-1.1.x86_64 ................................................[done]
(429/469) Installing: plasma5-desktop-emojier-5.24.4-1.1.x86_64 ........................................[done]
(430/469) Installing: plasma5-workspace-branding-openSUSE-84.87~git20220116T220745~fffd234-5.1.noarch ..[done]
(431/469) Installing: xdg-desktop-portal-gtk-1.14.0-1.1.x86_64 .........................................[done]
(432/469) Installing: gstreamer-plugins-good-1.20.1-1.1.x86_64 .........................................[done]
(433/469) Installing: gstreamer-plugins-good-gtk-1.20.1-1.1.x86_64 .....................................[done]
(434/469) Installing: plasma5-session-5.24.4-1.2.noarch ................................................[done]
(435/469) Installing: plasma5-desktop-lang-5.24.4-1.1.noarch ...........................................[done]
(436/469) Installing: libwebkit2gtk-4_0-37-2.36.0-1.1.x86_64 ...........................................[done]
(437/469) Installing: webkit2gtk-4_0-injected-bundles-2.36.0-1.1.x86_64 ................................[done]
(438/469) Installing: gstreamer-plugins-good-lang-1.20.1-1.1.noarch ....................................[done]
(439/469) Installing: plasma5-session-wayland-5.24.4-1.2.x86_64 ........................................[done]
(440/469) Installing: libgoa-backend-1_0-1-3.43.1-1.1.x86_64 ...........................................[done]
(441/469) Installing: gnome-online-accounts-3.43.1-1.1.x86_64 ..........................................[done]
(442/469) Installing: xdg-desktop-portal-gtk-lang-1.14.0-1.1.noarch ....................................[done]
(443/469) Installing: gvfs-fuse-1.50.0-1.1.x86_64 ......................................................[done]
(444/469) Installing: gnome-online-accounts-lang-3.43.1-1.1.noarch .....................................[done]
(445/469) Installing: adwaita-icon-theme-42.0-1.1.noarch ...............................................[done]
(446/469) Installing: WebKit2GTK-4.0-lang-2.36.0-1.1.noarch ............................................[done]
(447/469) Installing: gvfs-lang-1.50.0-1.1.noarch ......................................................[done]
(448/469) Installing: gvfs-backend-samba-1.50.0-1.1.x86_64 .............................................[done]
(449/469) Installing: gvfs-backend-afc-1.50.0-1.1.x86_64 ...............................................[done]
(450/469) Installing: gtk3-branding-openSUSE-15.0-1.38.noarch ..........................................[done]
(451/469) Installing: libreoffice-l10n-en-7.3.2.1-3.2.noarch ...........................................[done]
(452/469) Installing: libreoffice-7.3.2.1-3.2.x86_64 ...................................................[done]
(453/469) Installing: libreoffice-qt5-7.3.2.1-3.2.x86_64 ...............................................[done]
(454/469) Removing libldap-2_4-2-2.4.59-71.3.x86_64 ....................................................[done]
(455/469) Installing: kde-gtk-config5-5.24.4-1.1.x86_64 ................................................[done]
(456/469) Installing: kde-gtk-config5-gtk3-5.24.4-1.1.x86_64 ...........................................[done]
(457/469) Installing: gtk3-lang-3.24.33+12-1.1.noarch ..................................................[done]
(458/469) Installing: MozillaFirefox-98.0.2-1.1.x86_64 .................................................[done]
(459/469) Installing: libreoffice-writer-7.3.2.1-3.2.x86_64 ............................................[done]
(460/469) Installing: libreoffice-pyuno-7.3.2.1-3.2.x86_64 .............................................[done]
(461/469) Installing: libreoffice-math-7.3.2.1-3.2.x86_64 ..............................................[done]
(462/469) Installing: libreoffice-l10n-en_GB-7.3.2.1-3.2.noarch ........................................[done]
(463/469) Installing: libreoffice-impress-7.3.2.1-3.2.x86_64 ...........................................[done]
(464/469) Installing: libreoffice-draw-7.3.2.1-3.2.x86_64 ..............................................[done]
(465/469) Installing: libreoffice-calc-7.3.2.1-3.2.x86_64 ..............................................[done]
(466/469) Installing: libreoffice-base-7.3.2.1-3.2.x86_64 ..............................................[done]
(467/469) Installing: MozillaFirefox-translations-common-98.0.2-1.1.x86_64 .............................[done]
(468/469) Installing: libreoffice-mailmerge-7.3.2.1-3.2.x86_64 .........................................[done]
(469/469) Installing: libreoffice-filters-optional-7.3.2.1-3.2.x86_64 ..................................[done]
[/code]
Comment 59 Nate Graham 2022-04-11 18:39:28 UTC
*** Bug 452474 has been marked as a duplicate of this bug. ***
Comment 60 Eric 2022-04-13 11:58:14 UTC
+1
My mouse is a logitech bluetooth mouse. 
Kubuntu 22.04
KDE Plasma version 5.24.4
KDE Framework: 5.92.0
X11
Comment 61 Jeongu Kim 2022-04-17 02:48:02 UTC
I have the same issue but in Manjaro. In my case, `sudo udevadm trigger -s input` reproduces the bug. I use Logitech G304.

SOFTWARE/OS VERSIONS
Operating System: Manjaro Linux
KDE Plasma Version: 5.24.4
KDE Frameworks Version: 5.93.0
Qt Version: 5.15.3
Kernel Version: 5.17.3-1-MANJARO
OS Type: 64-bit
Graphics Platform: X11
Processors: 12 × AMD Ryzen 5 3600 6-Core Processor
Memory: RAM 31.3 GiB
Graphics Processor: NVIDIA GeForce GTX 1080/PCIe/SSE2
Comment 62 giraffeFile+kde 2022-04-21 00:15:55 UTC
*** This bug has been confirmed by popular vote. ***
Comment 63 Gerry Gavigan 2022-04-29 17:18:13 UTC
For the first time ever I have experienced loss of left-handedness (but not settings in system settings) on my desktop. It's not clear what triggered it but I had leant on my keyboard clumsily and needed to get out of Mozilla full screen settings. At that point the mouse was right handed.
Comment 64 dakkuduyda 2022-05-01 14:50:35 UTC
*** Bug 453245 has been marked as a duplicate of this bug. ***
Comment 65 Nate Graham 2022-05-03 18:00:59 UTC
*** Bug 453151 has been marked as a duplicate of this bug. ***
Comment 66 Gerry Gavigan 2022-05-05 19:31:13 UTC
After today's Tumbleweed updates, things seem to have got better. Does anyone know if this is this chance or intention?
Comment 67 Nate Graham 2022-05-06 15:03:29 UTC
*** Bug 453469 has been marked as a duplicate of this bug. ***
Comment 68 Nate Graham 2022-05-09 16:45:01 UTC
*** Bug 453556 has been marked as a duplicate of this bug. ***
Comment 69 Thomas Mitterfellner 2022-05-18 18:02:39 UTC
I had misunderstood the sudo udevadm trigger -s input the whole time! I thought that the settings were *lost* when I issue this command while the *correct* settings are operational. But indeed, when I do sudo udevadm trigger -s input *while the wrong settings* are in place, I get the expected settings!
Comment 70 Alex Ander 2022-05-22 16:38:04 UTC
Same problem here on Kubuntu 22.04 with Plasma 5.24.4: Bluetooth mouse at reconnect resets left-handedness.
On Kubuntu 20.04 with Plasma 5.18.8 and same mouse - no such problem.
Comment 71 Fakhruddin Ahmad Darwis 2022-06-03 10:06:21 UTC
I can confirm this. I've been experiencing this since several months ago. Every time there was an update, I always hoped the issue would be fixed. I changed the pointer speed and activate natural scrolling. Every once in a while those settings will reset to default after resuming from sleep. I had to change some settings and click apply, then undo the change and click apply again. 

Operating System: openSUSE Tumbleweed 20220601
KDE Plasma Version: 5.24.5
KDE Frameworks Version: 5.94.0
Qt Version: 5.15.2
Kernel Version: 5.17.9-1-default (64-bit)
Graphics Platform: X11
Processors: 4 × Intel® Core™ i5-7300U CPU @ 2.60GHz
Memory: 7.6 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 620
Device: Thinkpad T470
Comment 72 Gunter Ohrner 2022-06-03 10:19:58 UTC
Additional info, which might help with debugging:

I often do NOT experience this problem when I suspend my system and resume it while it's attached to the same Thunderbolt dock.

I ALWAYS get this problem whenever I suspend the system, detach it from the dock (e.g. at work), attach it to a different dock (e.g. at home), and resume (or if I resume while the notebook is not connected to any dock, and then attach the dock after resuming - which is often necessary to "unconfuse" X11 in regard of the different screen configuations at the different locations).

In the latter case, the mouse will always be reset to default settings, so I usually currently have the Mouse Input Device control panel always running, to be able to re-apply the actually configured values manually...
Comment 73 Michal S 2022-06-04 06:20:13 UTC
I also have similar issues, the speed is saved in the plasma's settings, but when my bluetooth mouse reconnects they are not applied, but when i change the settings and click apply then it works.
Comment 74 Nate Graham 2022-06-08 19:18:12 UTC
*** Bug 454998 has been marked as a duplicate of this bug. ***
Comment 75 Nate Graham 2022-06-10 13:49:43 UTC
*** Bug 455127 has been marked as a duplicate of this bug. ***
Comment 76 alifurkanyildiz 2022-06-15 06:45:05 UTC
Same thing happens to me. I have to change the mouse sensitivity and change it back to fix it.
Yes, it does happen when I run `sudo udevadm trigger -s input`
Operating System: Kubuntu 22.04
KDE Plasma Version: 5.24.4
KDE Frameworks Version: 5.92.0
Qt Version: 5.15.3
Kernel Version: 5.17.13-xanmod1 (64-bit)
Graphics Platform: X11
Processors: 4 × Intel® Core™ i5-6200U CPU @ 2.30GHz
Memory: 7,6 GiB of RAM
Graphics Processor: Mesa Intel® HD Graphics 520
Comment 77 Matthias Kretz 2022-06-15 06:48:03 UTC
I'm using 'KDE neon User'. It's been broken since a long time - I don't remember details.

My "Logitech G502 Lightspeed" has this issue both on my Intel Laptop (with Touchpad) and AMD Desktop (no Touchpad). When I reconnect the USB dongle, the Mouse settings are wrong. On booting with the USB dongle plugged in, the settings are correct. On `udevadm trigger -s input` the mouse settings are lost.

My workaround for the time being:

* Call `xinput` to find the name of your mouse. In my case that's "Logitech G502". I then have to prefix it with "pointer:" since the mouse also has an entry with the same name in the keyboard section.

* Call `xinput list-props 'pointer:Logitech G502'` (use your mouse's name, of course) once when the settings are defaulted (incorrect) and once when they are correct. Note the differences. For me the relevant entries are "libinput Natural Scrolling Enabled (312)" and "libinput Accel Speed (319)".

* To adjust the incorrect values I have to call `xinput set-prop 'pointer:Logitech G502' 312 1` and `xinput set-prop 'pointer:Logitech G502' 319 -0.6`.

* Write these `xinput` calls into a script and call that script every time the mouse settings are wrong.

* TODO: call the script automatically when necessary.

* TODO: find out what part of the mouse kcm wants to do it and why it doesn't. Calling `kcminit kcm_mouse` has no effect. Should it?
Comment 78 Gunter Ohrner 2022-06-22 20:48:55 UTC
It's also still broken in 5.25.0.
Comment 79 Alex Ander 2022-06-24 12:20:28 UTC
I have an interesting behavior, which could possibly help to find a source of problem. 
In my KDE settings I set "Left Handedness".
I'm using Logitech M720 mouse, which could connect as per Bluetooth as per its dongle, just switching channels. And I have Solaar app installed.
If I connect per Bluetooth, "Left Handedness" is brocken, the mouse works for the right hand. But if I connect the same mouse via dongle - the mouse works as intended, for the left hand.

------------------------------------
Operating System: Kubuntu 22.04
KDE Plasma Version: 5.24.4
KDE Frameworks Version: 5.92.0
Qt Version: 5.15.3
Kernel Version: 5.15.0-40-generic (64-bit)
Graphics Platform: X11
Comment 80 Nate Graham 2022-06-25 15:13:19 UTC
*** Bug 455003 has been marked as a duplicate of this bug. ***
Comment 81 Fakhruddin Ahmad Darwis 2022-07-03 00:57:58 UTC
The problem has gotten worse. After updating Tumbleweed 2 weeks ago, the problem happens more frequently than before. Now, almost every time my laptop wakes up from sleep, I got to disable and re-enable some settings in order for my settings to get applied.
Comment 82 Adolfo Rodrigues 2022-07-03 10:10:40 UTC
Yeah, this is getting very annoying. Almost every reboot I also have to re apply mouse settings
Comment 83 Sander Lindeman 2022-07-14 07:47:55 UTC
*** Bug 456703 has been marked as a duplicate of this bug. ***
Comment 84 Nate Graham 2022-07-14 15:11:28 UTC
*** Bug 456712 has been marked as a duplicate of this bug. ***
Comment 85 Chris 2022-07-21 16:57:17 UTC
I have done a bit of investigating and found a problem with kcminit, but be warned - this could be a total red herring!

Upgrading from Kubuntu 21.10 to 22.04 brought this(?) bug to me. "udevadm trigger -s input" does immediately break the settings.

Previously on 21.10 I used kcminit mouse in a script to switch mouse buttons, that no longer works. Running the following:

QT_LOGGING_RULES="*.debug=true" kcminit kcm_mouse

has a message about not finding a shared library. I compared this with a 21.10 installation and found the kcm_mouse.so file has moved - symlinking it back re-enables kcminit behaviour.

ln -s /usr/lib/x86_64-linux-gnu/qt5/plugins/plasma/kcms/systemsettings/kcm_mouse.so /usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_mouse.so

(Note also in 21.10 "kcminit mouse" worked, now it is "kcminit kcm_mouse" only).

Unfortunately "udevadm trigger -s input" still immediately breaks the settings and they are not automatically fixed (I was hoping fixing kcminit would work), so there's still something else going on.
Comment 86 Matthias Kretz 2022-07-21 19:18:23 UTC
(In reply to Chris from comment #85)
> QT_LOGGING_RULES="*.debug=true" kcminit kcm_mouse
> has a message about not finding a shared library.

Confirmed. It prints: 'kf.coreaddons: no metadata found in "kcm_mouse" "The shared library was not found."'

> ln -s
> /usr/lib/x86_64-linux-gnu/qt5/plugins/plasma/kcms/systemsettings/kcm_mouse.
> so /usr/lib/x86_64-linux-gnu/qt5/plugins/kcm_mouse.so

Confirmed. After symlinking, calling `kcminit kcm_mouse` re-applies the settings as expected. Unplug / plug the USB dongle lost the settings, though. Calling `kcminit kcm_mouse` applies the correct settings again.
Comment 87 Chris 2022-07-21 23:11:21 UTC
Once again, apologies if I'm hijacking the thread, but I think I'm getting somewhere here. If we're lucky, it's something to do with this bug.

With this intercept program placed at /usr/bin/kcminit ...

#include <unistd.h>
#include <stdlib.h>

void main(int argc, char** argv)
{
  system("ps auxf > /tmp/kcminit.log");
  execv("/usr/bin/kcminit-real", argv);
}
  
  
... I am proving that when I hotplug a mouse something executes kcminit to configure it, because in my kcminit.log this turns up:

USER         PID %CPU %MEM    VSZ   RSS TTY      STAT START   TIME COMMAND
chris       2579  0.0  0.0   2772  1344 ?        S    22:31   0:00 /usr/bin/kcminit mouse
chris       2580  0.0  0.0   2888   948 ?        S    22:31   0:00  \_ sh -c ps auxf > /tmp/kcminit.log
chris       2581  0.0  0.0   7816  3512 ?        R    22:31   0:00      \_ ps auxf

Note that the call is kcminit mouse, not kcminit kcm_mouse as it should be.

So I think there are two problems here, Firstly the so files have moved and kcminit is looking in the wrong place for them. Secondly, whatever is calling kcminit is calling it with "mouse" and not "kcm_mouse".

Modifying the intercept program to this:

#include <unistd.h>
#include <stdlib.h>
#include <string.h>

void main(int argc, char** argv)
{
  system("ps auxf > /tmp/kcminit.log");
  if (!strcmp(argv[1], "mouse")) argv[1] = "kcm_mouse";
  execv("/usr/bin/kcminit-real", argv);
}


... fixes my system. (Where "fix" = absolute bodge hack).

Obviously to fix it properly would need whatever is calling kcminit to be modified, and the so file situation sorted out. I can't tell what is executing kcminit as it appears at the root level of the ps "forest".

Anyone want to dare to test this on your system?
Comment 88 Matthias Kretz 2022-07-22 08:29:34 UTC
> Note that the call is kcminit mouse, not kcminit kcm_mouse as it should be.

Confirmed.

> Modifying the intercept program [...]

Confirmed.

In addition, I noticed that calling `kcminit` without arguments prints:

Initializing  "/usr/lib/x86_64-linux-gnu/qt5/plugins/plasma/kcms/systemsettings/kcm_fonts.so"
Initializing  "/usr/lib/x86_64-linux-gnu/qt5/plugins/plasma/kcms/systemsettings/kcm_style.so"
Initializing  "/usr/lib/x86_64-linux-gnu/qt5/plugins/plasma/kcms/systemsettings/kcm_mouse.so"
Initializing  "/usr/lib/x86_64-linux-gnu/qt5/plugins/plasma/kcms/systemsettings/kcm_touchpad.so"
kcm_touchpad: Using X11 backend
Initializing  "/usr/lib/x86_64-linux-gnu/qt5/plugins/plasma/kcms/systemsettings/kcm_kgamma.so"

i.e. it's looking for kcm_mouse in the right directory. So an alternative hack is to forgo the symlink and change the intercept for `kcminit mouse` to simply call `kcminit` without arguments. That does more than intended, but the mouse settings are correct. One can use a script like:

#!/bin/bash
if [[ "$*" == "mouse" ]]; then
  exec /usr/bin/kcminit.real
fi
exec /usr/bin/kcminit.real "$@"
Comment 89 Bug Janitor Service 2022-07-25 17:11:48 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/1063
Comment 90 ratijas 2022-07-26 10:44:11 UTC
Git commit 0d7eccfbba7c3656487396dd381fcee0717bb1ec by ivan tkachenko.
Committed on 26/07/2022 at 10:25.
Pushed by ratijas into branch 'master'.

Fix mouse settings not being loaded when a mouse is connected

Keyboard daemon was calling into the wrong module name. There are only
so much kcminit modules, and all of them are required to be named and
referenced with a "kcm_" prefix.

Postmortem:

- Mouse settings' saving and loading worked fine.
- Changing settings on the fly worked fine, and if they were not loaded
  before due to this bug, KCM loaded them and applied, after which
  mouse worked fine until disconnected.
- Starting computer with mouse already connected worked fine.
- Plug&Play (i.e. connecting mouse after session has started) was the
  only thing that was broken, because this reconfiguration failed to
  launch the proper mouse module.

Co-Authored-By: David Edmundson <kde@davidedmundson.co.uk>
FIXED-IN: 5.24.7, 5.25.4, 5.26

M  +1    -1    kcms/keyboard/keyboard_daemon.cpp

https://invent.kde.org/plasma/plasma-desktop/commit/0d7eccfbba7c3656487396dd381fcee0717bb1ec
Comment 91 ratijas 2022-07-26 10:44:50 UTC
Git commit 74701a740d8b61af3296417be447ae613b0c8f23 by ivan tkachenko.
Committed on 26/07/2022 at 10:26.
Pushed by ratijas into branch 'Plasma/5.25'.

Fix mouse settings not being loaded when a mouse is connected

Keyboard daemon was calling into the wrong module name. There are only
so much kcminit modules, and all of them are required to be named and
referenced with a "kcm_" prefix.

Postmortem:

- Mouse settings' saving and loading worked fine.
- Changing settings on the fly worked fine, and if they were not loaded
  before due to this bug, KCM loaded them and applied, after which
  mouse worked fine until disconnected.
- Starting computer with mouse already connected worked fine.
- Plug&Play (i.e. connecting mouse after session has started) was the
  only thing that was broken, because this reconfiguration failed to
  launch the proper mouse module.

Co-Authored-By: David Edmundson <kde@davidedmundson.co.uk>
FIXED-IN: 5.24.7, 5.25.4, 5.26
(cherry picked from commit 0d7eccfbba7c3656487396dd381fcee0717bb1ec)

M  +1    -1    kcms/keyboard/keyboard_daemon.cpp

https://invent.kde.org/plasma/plasma-desktop/commit/74701a740d8b61af3296417be447ae613b0c8f23
Comment 92 ratijas 2022-07-26 10:45:06 UTC
Git commit 0351cdfc9210f6f88863419534250ab7b8ce04ed by ivan tkachenko.
Committed on 26/07/2022 at 10:26.
Pushed by ratijas into branch 'Plasma/5.24'.

Fix mouse settings not being loaded when a mouse is connected

Keyboard daemon was calling into the wrong module name. There are only
so much kcminit modules, and all of them are required to be named and
referenced with a "kcm_" prefix.

Postmortem:

- Mouse settings' saving and loading worked fine.
- Changing settings on the fly worked fine, and if they were not loaded
  before due to this bug, KCM loaded them and applied, after which
  mouse worked fine until disconnected.
- Starting computer with mouse already connected worked fine.
- Plug&Play (i.e. connecting mouse after session has started) was the
  only thing that was broken, because this reconfiguration failed to
  launch the proper mouse module.

Co-Authored-By: David Edmundson <kde@davidedmundson.co.uk>
FIXED-IN: 5.24.7, 5.25.4, 5.26
(cherry picked from commit 0d7eccfbba7c3656487396dd381fcee0717bb1ec)

M  +1    -1    kcms/keyboard/keyboard_daemon.cpp

https://invent.kde.org/plasma/plasma-desktop/commit/0351cdfc9210f6f88863419534250ab7b8ce04ed